//
//  ShareApp.swift
//  WOKA
//
//  Created by Bilal on 20/09/2024.
//

import UIKit

class ShareApp{
    
    static let shareInstance = ShareApp()
    
    private init(){}
    
    func share(vc : UIViewController){
        if let name = URL(string: "https://apps.apple.com/in/app/woka/id6465305185"), !name.absoluteString.isEmpty {
          let objectsToShare = [name]
          let activityVC = UIActivityViewController(activityItems: objectsToShare, applicationActivities: nil)
            vc.present(activityVC, animated: true, completion: nil)
        } else {
          // show alert for not available
        }
    }
}
